<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aiosc__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aiosc_t</compoundname>
    <includes local="no">cy_ble_aios.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aiosc__t_1a66ec912845993ce454ec0c23071649d0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_aiosc_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Automation Input Output Service Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="134" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="134" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aiosc__t_1acdaa0c20bd0c30d6a56269152846afce" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__aiosc__char__info__ptr__t">cy_stc_ble_aiosc_char_info_ptr_t</ref></type>
        <definition>cy_stc_ble_aiosc_char_info_ptr_t cy_stc_ble_aiosc_t::charInfoAddr[CY_BLE_AIOS_CHAR_COUNT]</definition>
        <argsstring>[CY_BLE_AIOS_CHAR_COUNT]</argsstring>
        <name>charInfoAddr</name>
        <briefdescription>
<para>Automation Input Output Service Array with pointers to Characteristic information. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="137" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="137" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Discovered Attributes Information of Automation Input Output service. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="36">
        <label>cy_stc_ble_aiosc_char_t</label>
        <link refid="structcy__stc__ble__aiosc__char__t" />
      </node>
      <node id="34">
        <label>cy_stc_ble_aiosc_t</label>
        <link refid="structcy__stc__ble__aiosc__t" />
        <childnode refid="35" relation="usage">
          <edgelabel>charInfoAddr</edgelabel>
        </childnode>
      </node>
      <node id="35">
        <label>cy_stc_ble_aiosc_char_info_ptr_t</label>
        <link refid="structcy__stc__ble__aiosc__char__info__ptr__t" />
        <childnode refid="36" relation="usage">
          <edgelabel>charInfoPtr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="138" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="131" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="132" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aiosc__t_1acdaa0c20bd0c30d6a56269152846afce" virt="non-virtual"><scope>cy_stc_ble_aiosc_t</scope><name>charInfoAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__aiosc__t_1a66ec912845993ce454ec0c23071649d0" virt="non-virtual"><scope>cy_stc_ble_aiosc_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>